Bug 172271 - [patch] port net-mgmt/nagvis update to 1.7.1
[patch] port net-mgmt/nagvis update to 1.7.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 12:40 UTC by derfi
Modified: 2012-10-10 22:36 UTC (History)
0 users

See Also:


Attachments
file.diff (30.33 KB, patch)
2012-10-02 12:40 UTC, derfi
no flags Details | Diff
nagvis.diff (31.96 KB, patch)
2012-10-08 15:26 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description derfi 2012-10-02 12:40:03 UTC
1.7.1
Core
  * Added new object type "container" to render a textbox like object which
    fetches its contents from a configured URL. Take a look at the docs for
    details. Thanks to Tiri GmbH (www.tiri.li) for providing this feature.

Frontend
  * Localized some non localized strings like "more items..." in the hover menu
  * Bugfix: Fixed javascript error in state change eventhandler on e.g. automaps
  * Bugfix: Cloning of textbox objects is now possible again
  * Bugfix: Don't try to flash deleted map objects during eventhandling

1.7
Core
  * Added new weathermap line type which shows only the used bandwidth in labels
  * Bugfix: Geomaps use real generated object_ids instead of hostnames for transactions
    (prevents problems with spaces in hostnames and so on)
  * Bugfix: Allowing percentages above 999 in weathermap_line_colors option
  * Bugfix: Geomap: Fixed validation problem when editin map global options

Frontend
  * Bugfix: Not showing "acknowledge" link when not permitted to perform this action
  * Bugfix: Fixed hover menu positioning in scrolled maps
  * Bugfix: Fixed hover menu positioning in IE

Automap:
  * Bugfix: Fixed automaps object_id persisting code

1.6.6
Frontend
  * Bugfix: Fixed JS error in template object management dialog
  * Added updated french language files (Thanks to Nicolas Chancereul!)

Core
  * Installer: Fixed sqlite3 package test on debian systems
  * Line weathermaps colors definition can now be set as float values
    (Thanks to Ormi for the patch!)
  * Bugfix: Made shortly introduced recoding of map config files optional
  * Bugfix: Fixed stuck icon update on overview page

1.6.5
Core
  * Added line_weather_colors option to nagvis.ini.php [defaults] section
  * Bugfix: Fixed wrong variable in MySQL connect error handler
  * Bugfix: Fixed bug in 1.6.1 auth db update scripts
  * Bugfix: Added missing permission for the Url module which is used when
            having URLs in rotations
  * Bugfix: Fixed exclude_member_states for map objects
  * Bugfix: ISO-8859-1 encoded map config files are now converted to UTf-8
    during parsing the map config file

Frontend
  * Made hover menus work on stateless lines (Thanks to Oliver Graf)
  * Bugfix: Fixed cloning shape objects (view_type error message)
  * Bugfix: Stateless lines - only showing the hover area when it is needed
  * Bugfix: Fixed dragging of relative labels of relative objects
  * Bugfix: Fixed javascript error when switching pages while an ajax call is
    being processed

1.6.4
Core
  * Made template objects work again. Added doc note which does not recommend
    usage of templates and the webbased editor at the same time.
  * Livestatus Backend: Added 'timeout' parameter to be able to configure the
    socket timeout while connecting to the livestatus socket
  * Livestatus Backend: Only try to connect to livestatus once per page load
  * Bugfix: Fixed wrong computed shape urls which broke all shapes
  * Added new iconset std_dot
  * The label_show parameter can now be configured for the whole installation
    in the [defaults] section of the main configuration
  * The audit.log is disabled by default now (can be enabled using the
    audit_log parameter in [global] section)
  * Bugfix: Fixed problem with not real asynchronous ajax calls caused by
    locking PHP sessions
  * Bugfix: Fixed update of states on overview page
  * NDO Backend: Removed query debug outputs

Automap
  * Added new parameter "margin" to control the offset of the automap to the
    edge of the map
  * Recoded all automap parameters. All camel case options have been changed
    to underscore separated vars (e.g. childLayers -> child_layers). These
    options are now available in the global section of the automaps.
  * Removed default_params option from global sections. Use the regular
    options in global section to define default options.
  * The option of adding a __dummy__ host to the automap configurations has
    been removed. It is not supported anymore.

Frontend
  * Weathermap line color definitions support usage values above 100% and below 0%
  * Better error handling during coord parsing
  * Reduced ajax calls during regular map updating
  * Switched ajax calls during view rendering to be asynchronous (Prevents
    locked up browsers during ajax calls)
  * Suppressing transfer of non set attributes during ajax calls
  * Bugfix: Always remove the last frontend error message when clicking "close"

1.6.3
Core
  * Bugfix: Made upper/lower case rotation_id/backend_id definitions possible
  * Added ; and | to allowed signs for urls
  * Undefined backend in single objects does not prevent whole map loading anymore
  * Overview page: Better handling of invalid map configuration files
  * Multisite auth: Redirecting to login page when auth.secret does not exist
  * Made default gadgets aware of OMD default and local path handling

Frontend
  * Showing dummy shape image when configured shape does not exist
  * Added the color picker to background image creation form
  * Bugfix: Non user-configured (-> conf.d) backends can be configured as
            default backends using the web GUI; Non user-configurex: Non
            can not be edited using the web GUI
  * Bugfix: Preventing loops in relative coords
  * Bugfix: Preventing JS error when trying to position objects relative but
            no target object can be found
  * Bugfix: Fixed file upload input field styling issues (at least in Firefox)
  * Bugfix: Removed backendtype fields from "Manage Backends" dialog forms
  * Bugfix: Fixed problem with the hover menu when using the hover_delay parameter

Automap
  * Handling centron style host links during automap parsing (host_name=)
  * Bugfix: Added missing view_type=line parameter to automap exported maps
  * Bugfix: filterByState was always enabled after modifying the automap
            parameters via web form

1.6.2
Core
  * Switched CRITICAL and UNREACHABLE state weights. CRITICAL now overlaps the
    UNREACHABLE states
  * Changed multisite authorization module to new WATO auth export API (Needs
    at least Check_MK 1.1.13i2)
  * Bugfix: Fixed problem with form based login when opened via link from another webpage

1.6.1
Core
  * LogonDialog: Changed _origin parameter to _origtarget to support current multisite
  * Added nagvis-make-admin helper script to assign the Administrators role to the
    given user using the command line. This script might help when the admin lost
    its permissions.
  * NagVis creates now "omdadmin" user in OMD environments when creating new auth.db files
  * Bugfix: Added missing default permissions for guest role (viewing demo maps)
  * Bugfix: Fixed version number format for stable versions like (1.6)
    
Frontend
  * Ajax call for redrawing map objects is not cacheable anymore (prevent strange
    hopping of icons after unlock -> edit -> lock in some cases.
  * Context menu: Small spacer row styling (preventing hover effect)
  * Add the language to the target url when the user requested a specific language

1.6
Core
  * Implented conf.d/ directory to have an optional modular main configuration
  * omd_install.sh deals now correctly with new conf.d directory
  * Improved the installer a bit: Better directory detections; Less questions
    during update
  * Removed all old demo maps and created new ones using an the internal test
    backend to be able to show a bit more details.
  * Using [service_description] as default value for label_text attribute
  * Using z=5 for textboxes and z=1 for shapes again as default values
  * Added new config option line_label_y_offset to configure the label offset
    used in weathermap lines which show percentage and absolute bandwidth labels
  * Added new LogonMultisite module to use the new Check_MK multisite auth cookie
  * Recoded logon and authentication module interface
  * Several code cleanups
  * Made view templates configurable (defaults / view_template)
  * Bugfix: Correctly adding object_id=0 to global section when creating maps
  * Bugfix: Adding map/automap type to cache files to prevent confilcts with
    equal map and automap names

Frontend
  * Sorting maps by alias in header menu now
  * Added map name dropdown to parent_map option when editing global map
    configuration
  * iconset option is now optional when creating maps using the GUI
  * Reimplemented the "clone object" functionality in edit mode
  * Only show the edit links in context menu when permitted to edit the map
  * long text values with no spaces do not stretch the add/modify dialog anymore
  * Ignoring right clicks and clicks on the header menu when currently adding
    an object to the map
  * Bugfix: Not adding default_params parameter to all maps after editing the
    global map configuration using the web frontend
  * Bugfix: Don't enable map_image when not set when editing the global
    sections of maps
  * Bugfix: Removing just dragged new lines before opening the add/modify dialog
  * Bugfix: Not terminating map rename when one map contains a syntax error

Automap
  * Finally removed the deprecated option maxLayers. Use childLayers instead.

Fix: --- Makefile	2011-05-14 20:50:17.000000000 +0400
+++ Makefile	2012-10-02 10:11:44.000000000 +0400
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	nagvis
-PORTVERSION=	1.5.9
+PORTVERSION=	1.7.1
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF
-MASTER_SITE_SUBDIR=${PORTNAME}/NagVis%201.5
+MASTER_SITE_SUBDIR=${PORTNAME}/NagVis%201.7
 
 MAINTAINER=	derfi@vei.ru
 COMMENT=	NagVis is a visualization addon for Nagios
--- distinfo	2011-05-14 20:50:17.000000000 +0400
+++ distinfo	2012-10-02 14:02:18.000000000 +0400
@@ -1,2 +1,2 @@
-SHA256 (nagvis-1.5.9.tar.gz) = c0911a474563a8bd78e2454e8cd0f5c2cd8b83891869ada31d4d7ed0abddcbaa
-SIZE (nagvis-1.5.9.tar.gz) = 3298253
+SHA256 (nagvis-1.7.1.tar.gz) = 42c8a239e5f992385c678ab95f1b90e0a3304fbad033e8ca9dd1d64a16644173
+SIZE (nagvis-1.7.1.tar.gz) = 3488146
--- pkg-plist	2011-05-14 20:50:17.000000000 +0400
+++ pkg-plist	2012-10-02 14:39:17.000000000 +0400
@@ -1,6 +1,8 @@
 %%WWWDIR%%/ChangeLog
 %%WWWDIR%%/LICENCE
 %%WWWDIR%%/README
+%%WWWDIR%%/TODO
+%%WWWDIR%%/docs/cleanup_new_notes.sh
 %%WWWDIR%%/docs/de_DE/about.html
 %%WWWDIR%%/docs/de_DE/after_installation.html
 %%WWWDIR%%/docs/de_DE/auth.html
@@ -8,6 +10,7 @@
 %%WWWDIR%%/docs/de_DE/authorisation_roles_perms.html
 %%WWWDIR%%/docs/de_DE/automap.html
 %%WWWDIR%%/docs/de_DE/automap_config_format.html
+%%WWWDIR%%/docs/de_DE/backend_nagiosbp.html
 %%WWWDIR%%/docs/de_DE/backends.html
 %%WWWDIR%%/docs/de_DE/changelog.html
 %%WWWDIR%%/docs/de_DE/changelog2.html
@@ -40,6 +43,9 @@
 %%WWWDIR%%/docs/en_US/authorisation_roles_perms.html
 %%WWWDIR%%/docs/en_US/automap.html
 %%WWWDIR%%/docs/en_US/automap_config_format.html
+%%WWWDIR%%/docs/en_US/backend_mklivestatus.html
+%%WWWDIR%%/docs/en_US/backend_nagiosbp.html
+%%WWWDIR%%/docs/en_US/backend_ndomy.html
 %%WWWDIR%%/docs/en_US/backends.html
 %%WWWDIR%%/docs/en_US/changelog.html
 %%WWWDIR%%/docs/en_US/context_templates.html
@@ -49,14 +55,17 @@
 %%WWWDIR%%/docs/en_US/extending/shapes.html
 %%WWWDIR%%/docs/en_US/extending/templates.html
 %%WWWDIR%%/docs/en_US/gadgets.html
+%%WWWDIR%%/docs/en_US/geomap.html
 %%WWWDIR%%/docs/en_US/header_templates.html
 %%WWWDIR%%/docs/en_US/hover_templates.html
 %%WWWDIR%%/docs/en_US/index.html
+%%WWWDIR%%/docs/en_US/install_omd_site.html
 %%WWWDIR%%/docs/en_US/installation_instructions.html
 %%WWWDIR%%/docs/en_US/installer.html
 %%WWWDIR%%/docs/en_US/lines_weathermap_style.html
 %%WWWDIR%%/docs/en_US/logon_modules.html
 %%WWWDIR%%/docs/en_US/map_config_format_description.html
+%%WWWDIR%%/docs/en_US/maps.html
 %%WWWDIR%%/docs/en_US/nagvis_config_format_description.html
 %%WWWDIR%%/docs/en_US/system_requirements.html
 %%WWWDIR%%/docs/en_US/toc.html
@@ -79,23 +88,29 @@
 %%WWWDIR%%/docs/general/img/std_speedo2.png
 %%WWWDIR%%/etc/.htaccess
 %%WWWDIR%%/etc/apache2-nagvis.conf-sample
-%%WWWDIR%%/etc/automaps/__automap.cfg
+%%WWWDIR%%/etc/conf.d/demo.ini.php
+%%WWWDIR%%/etc/geomap/demo-locations.csv
 %%WWWDIR%%/etc/geomap/links.xml
 %%WWWDIR%%/etc/geomap/locations.xml
 %%WWWDIR%%/etc/geomap/settings.xml
 %%WWWDIR%%/etc/geomap/viewpoints.xml
-%%WWWDIR%%/etc/maps/demo-map.cfg
-%%WWWDIR%%/etc/maps/demo-server.cfg
-%%WWWDIR%%/etc/maps/demo.cfg
-%%WWWDIR%%/etc/maps/demo2.cfg
+%%WWWDIR%%/etc/maps/demo-automap.cfg
+%%WWWDIR%%/etc/maps/demo-automap2.cfg
+%%WWWDIR%%/etc/maps/demo-geomap.cfg
+%%WWWDIR%%/etc/maps/demo-germany.cfg
+%%WWWDIR%%/etc/maps/demo-ham-racks.cfg
+%%WWWDIR%%/etc/maps/demo-load.cfg
+%%WWWDIR%%/etc/maps/demo-muc-srv1.cfg
+%%WWWDIR%%/etc/maps/demo-overview.cfg
 %%WWWDIR%%/etc/nagvis.ini.php-sample
+%%WWWDIR%%/install_lib
+%%WWWDIR%%/nagvis-make-admin
+%%WWWDIR%%/omd_install.sh
+%%WWWDIR%%/pack
 %%WWWDIR%%/share/config.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendMessage.php
-%%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModAutoMap.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModInfo.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModLogonDialog.php
-%%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModLogonEnv.php
-%%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModLogonMixed.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModMap.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModOverview.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendModRotation.php
@@ -105,7 +120,6 @@
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendRequestHandler.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendRotation.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/FrontendTemplateSystem.php
-%%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisAutoMapView.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisHeaderMenu.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisIndexView.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisInfoView.php
@@ -113,7 +127,6 @@
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisMapView.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisOverviewView.php
 %%WWWDIR%%/share/frontend/nagvis-js/classes/NagVisUrlView.php
-%%WWWDIR%%/share/frontend/nagvis-js/css/frontendEventlog.css
 %%WWWDIR%%/share/frontend/nagvis-js/defines/nagvis-js.php
 %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/CHANGELOG
 %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/Dwoo.compiled.php
@@ -221,8 +234,10 @@
 %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/plugins/builtin/functions/wordwrap.php
 %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/plugins/builtin/helper.array.php
 %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/plugins/builtin/processors/pre.smarty_compat.php
+%%WWWDIR%%/share/frontend/nagvis-js/images/help_icon.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/10x10.gif
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/confirm.png
+%%WWWDIR%%/share/frontend/nagvis-js/images/internal/dimension.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/favicon.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/favicon_ack.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/favicon_critical.png
@@ -247,10 +262,24 @@
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/msg_unreachable.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/msg_up.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/msg_warning.png
+%%WWWDIR%%/share/frontend/nagvis-js/images/internal/picker.png
 %%WWWDIR%%/share/frontend/nagvis-js/images/internal/warning.png
+%%WWWDIR%%/share/frontend/nagvis-js/images/jscolor/arrow.gif
+%%WWWDIR%%/share/frontend/nagvis-js/images/jscolor/cross.gif
+%%WWWDIR%%/share/frontend/nagvis-js/images/jscolor/hs.png
+%%WWWDIR%%/share/frontend/nagvis-js/images/jscolor/hv.png
 %%WWWDIR%%/share/frontend/nagvis-js/index.php
 %%WWWDIR%%/share/frontend/nagvis-js/js/ExtBase.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ExtGenericResize.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ExtJSColor.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/ExtStacktrace.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ExtWzJsGraphics.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ManageBackends.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ManageBackgrounds.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ManageMaps.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ManageShapes.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/MapManageTmpl.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/NagVisContainer.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/NagVisHost.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/NagVisHostgroup.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/NagVisLine.js
@@ -264,7 +293,9 @@
 %%WWWDIR%%/share/frontend/nagvis-js/js/NagVisStatelessObject.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/NagVisTextbox.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/ajax.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/ajaxActions.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/dynfavicon.js
+%%WWWDIR%%/share/frontend/nagvis-js/js/edit.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/frontend.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/frontendContext.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/frontendEventlog.js
@@ -274,7 +305,6 @@
 %%WWWDIR%%/share/frontend/nagvis-js/js/lines.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/nagvis.js
 %%WWWDIR%%/share/frontend/nagvis-js/js/popupWindow.js
-%%WWWDIR%%/share/frontend/nagvis-js/js/wz_jsgraphics.js
 %%WWWDIR%%/share/frontend/nagvis-js/locale/de_DE/LC_MESSAGES/nagvis.mo
 %%WWWDIR%%/share/frontend/nagvis-js/locale/de_DE/LC_MESSAGES/nagvis.po
 %%WWWDIR%%/share/frontend/nagvis-js/locale/en_US/LC_MESSAGES/nagvis.mo
@@ -287,40 +317,6 @@
 %%WWWDIR%%/share/frontend/nagvis-js/locale/pt_BR/LC_MESSAGES/nagvis.po
 %%WWWDIR%%/share/frontend/nagvis-js/locale/ru_RU/LC_MESSAGES/nagvis.mo
 %%WWWDIR%%/share/frontend/nagvis-js/locale/ru_RU/LC_MESSAGES/nagvis.po
-%%WWWDIR%%/share/frontend/wui/classes/WuiCore.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiHeaderMenu.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiMainCfg.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiMap.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModLogonDialog.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModLogonEnv.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModLogonMixed.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModMap.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModWelcome.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModule.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiModuleHandler.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiPage.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiViewIndex.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiViewMap.php
-%%WWWDIR%%/share/frontend/wui/classes/WuiViewWelcome.php
-%%WWWDIR%%/share/frontend/wui/css/wui.css
-%%WWWDIR%%/share/frontend/wui/defines/wui.php
-%%WWWDIR%%/share/frontend/wui/images/clone.png
-%%WWWDIR%%/share/frontend/wui/images/delete.png
-%%WWWDIR%%/share/frontend/wui/images/help_icon.png
-%%WWWDIR%%/share/frontend/wui/images/modify.png
-%%WWWDIR%%/share/frontend/wui/images/move.png
-%%WWWDIR%%/share/frontend/wui/index.php
-%%WWWDIR%%/share/frontend/wui/js/EditMainCfg.js
-%%WWWDIR%%/share/frontend/wui/js/ExtGenericResize.js
-%%WWWDIR%%/share/frontend/wui/js/ManageBackends.js
-%%WWWDIR%%/share/frontend/wui/js/ManageBackgrounds.js
-%%WWWDIR%%/share/frontend/wui/js/ManageMaps.js
-%%WWWDIR%%/share/frontend/wui/js/ManageShapes.js
-%%WWWDIR%%/share/frontend/wui/js/MapManageTmpl.js
-%%WWWDIR%%/share/frontend/wui/js/addmodify.js
-%%WWWDIR%%/share/frontend/wui/js/ajax.js
-%%WWWDIR%%/share/frontend/wui/js/wui.js
-%%WWWDIR%%/share/frontend/wui/js/wz_jsgraphics.js
 %%WWWDIR%%/share/index.php
 %%WWWDIR%%/share/netmap/GeocodeService.php
 %%WWWDIR%%/share/netmap/Host.php
@@ -401,21 +397,24 @@
 %%WWWDIR%%/share/server/core/classes/CoreAuthHandler.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthModMySQL.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthModSQLite.php
-%%WWWDIR%%/share/server/core/classes/CoreAuthModSession.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthModule.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthorisationHandler.php
+%%WWWDIR%%/share/server/core/classes/CoreAuthorisationModMultisite.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthorisationModMySQL.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthorisationModSQLite.php
 %%WWWDIR%%/share/server/core/classes/CoreAuthorisationModule.php
 %%WWWDIR%%/share/server/core/classes/CoreBackendMgmt.php
 %%WWWDIR%%/share/server/core/classes/CoreExceptions.php
 %%WWWDIR%%/share/server/core/classes/CoreLog.php
-%%WWWDIR%%/share/server/core/classes/CoreMessage.php
+%%WWWDIR%%/share/server/core/classes/CoreLogonDialogHandler.php
+%%WWWDIR%%/share/server/core/classes/CoreLogonEnv.php
+%%WWWDIR%%/share/server/core/classes/CoreLogonMixed.php
+%%WWWDIR%%/share/server/core/classes/CoreLogonModule.php
+%%WWWDIR%%/share/server/core/classes/CoreLogonMultisite.php
+%%WWWDIR%%/share/server/core/classes/CoreModAction.php
 %%WWWDIR%%/share/server/core/classes/CoreModAuth.php
-%%WWWDIR%%/share/server/core/classes/CoreModAutoMap.php
 %%WWWDIR%%/share/server/core/classes/CoreModChangePassword.php
 %%WWWDIR%%/share/server/core/classes/CoreModGeneral.php
-%%WWWDIR%%/share/server/core/classes/CoreModLogonEnv.php
 %%WWWDIR%%/share/server/core/classes/CoreModMainCfg.php
 %%WWWDIR%%/share/server/core/classes/CoreModManageBackgrounds.php
 %%WWWDIR%%/share/server/core/classes/CoreModManageShapes.php
@@ -425,6 +424,7 @@
 %%WWWDIR%%/share/server/core/classes/CoreModRoleMgmt.php
 %%WWWDIR%%/share/server/core/classes/CoreModSearch.php
 %%WWWDIR%%/share/server/core/classes/CoreModUrl.php
+%%WWWDIR%%/share/server/core/classes/CoreModUser.php
 %%WWWDIR%%/share/server/core/classes/CoreModUserMgmt.php
 %%WWWDIR%%/share/server/core/classes/CoreModule.php
 %%WWWDIR%%/share/server/core/classes/CoreModuleHandler.php
@@ -435,10 +435,12 @@
 %%WWWDIR%%/share/server/core/classes/CoreSessionHandler.php
 %%WWWDIR%%/share/server/core/classes/CoreTemplateSystem.php
 %%WWWDIR%%/share/server/core/classes/CoreUriHandler.php
+%%WWWDIR%%/share/server/core/classes/CoreUserCfg.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendInterface.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendTest.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendmerlinmy.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendmklivestatus.php
+%%WWWDIR%%/share/server/core/classes/GlobalBackendnagiosbp.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackendndomy.php
 %%WWWDIR%%/share/server/core/classes/GlobalBackground.php
 %%WWWDIR%%/share/server/core/classes/GlobalCore.php
@@ -448,23 +450,18 @@
 %%WWWDIR%%/share/server/core/classes/GlobalMainCfg.php
 %%WWWDIR%%/share/server/core/classes/GlobalMap.php
 %%WWWDIR%%/share/server/core/classes/GlobalMapCfg.php
-%%WWWDIR%%/share/server/core/classes/GlobalMessage.php
-%%WWWDIR%%/share/server/core/classes/NagVisAutoMap.php
-%%WWWDIR%%/share/server/core/classes/NagVisAutomapCfg.php
 %%WWWDIR%%/share/server/core/classes/NagVisContextMenu.php
 %%WWWDIR%%/share/server/core/classes/NagVisHoverMenu.php
 %%WWWDIR%%/share/server/core/classes/NagVisHoverUrl.php
 %%WWWDIR%%/share/server/core/classes/NagVisMap.php
 %%WWWDIR%%/share/server/core/classes/NagVisMapCfg.php
 %%WWWDIR%%/share/server/core/classes/NagVisUrl.php
-%%WWWDIR%%/share/server/core/classes/NagVisViewAutomapModifyParams.php
-%%WWWDIR%%/share/server/core/classes/NagVisViewAutomapToMap.php
+%%WWWDIR%%/share/server/core/classes/NagVisViewAck.php
 %%WWWDIR%%/share/server/core/classes/NagVisViewChangePassword.php
 %%WWWDIR%%/share/server/core/classes/NagVisViewManageRoles.php
 %%WWWDIR%%/share/server/core/classes/NagVisViewSearch.php
+%%WWWDIR%%/share/server/core/classes/NagVisViewToStaticMap.php
 %%WWWDIR%%/share/server/core/classes/NagVisViewUserMgmt.php
-%%WWWDIR%%/share/server/core/classes/WuiForm.php
-%%WWWDIR%%/share/server/core/classes/WuiMapCfg.php
 %%WWWDIR%%/share/server/core/classes/WuiViewEditMainCfg.php
 %%WWWDIR%%/share/server/core/classes/WuiViewManageBackends.php
 %%WWWDIR%%/share/server/core/classes/WuiViewManageBackgrounds.php
@@ -472,6 +469,7 @@
 %%WWWDIR%%/share/server/core/classes/WuiViewManageShapes.php
 %%WWWDIR%%/share/server/core/classes/WuiViewMapAddModify.php
 %%WWWDIR%%/share/server/core/classes/WuiViewMapManageTmpl.php
+%%WWWDIR%%/share/server/core/classes/objects/NagVisContainer.php
 %%WWWDIR%%/share/server/core/classes/objects/NagVisHost.php
 %%WWWDIR%%/share/server/core/classes/objects/NagVisHostgroup.php
 %%WWWDIR%%/share/server/core/classes/objects/NagVisLine.php
@@ -495,97 +493,141 @@
 %%WWWDIR%%/share/server/core/ext/php-gettext-1.0.9/gettext.inc
 %%WWWDIR%%/share/server/core/ext/php-gettext-1.0.9/gettext.php
 %%WWWDIR%%/share/server/core/ext/php-gettext-1.0.9/streams.php
-%%WWWDIR%%/share/server/core/functions/ajaxErrorHandler.php
 %%WWWDIR%%/share/server/core/functions/autoload.php
+%%WWWDIR%%/share/server/core/functions/core.php
 %%WWWDIR%%/share/server/core/functions/debug.php
+%%WWWDIR%%/share/server/core/functions/index.php
+%%WWWDIR%%/share/server/core/functions/nagvisErrorHandler.php
 %%WWWDIR%%/share/server/core/functions/oldPhpVersionFixes.php
+%%WWWDIR%%/share/server/core/mapcfg/default.php
+%%WWWDIR%%/share/server/core/sources/.gitignore
+%%WWWDIR%%/share/server/core/sources/automap.php
+%%WWWDIR%%/share/server/core/sources/automap_pos.php
+%%WWWDIR%%/share/server/core/sources/filter.php
+%%WWWDIR%%/share/server/core/sources/general.php
+%%WWWDIR%%/share/server/core/sources/geomap.php
 %%WWWDIR%%/share/userfiles/gadgets/gadgets_core.php
 %%WWWDIR%%/share/userfiles/gadgets/std_bar.php
+%%WWWDIR%%/share/userfiles/gadgets/std_html_bar.php
 %%WWWDIR%%/share/userfiles/gadgets/std_speedometer.php
 %%WWWDIR%%/share/userfiles/gadgets/std_speedometer2.php
-%%WWWDIR%%/share/userfiles/images/gadgets/dummy
+%%WWWDIR%%/share/userfiles/images/gadgets/.gitignore
 %%WWWDIR%%/share/userfiles/images/iconsets/20x20.gif
-%%WWWDIR%%/share/userfiles/images/iconsets/configerror_large.png
-%%WWWDIR%%/share/userfiles/images/iconsets/configerror_medium.png
-%%WWWDIR%%/share/userfiles/images/iconsets/configerror_small.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_ack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_critical.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_down.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_error.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_ok.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_sack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_unknown.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_up.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_landscape_warning.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_ack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_critical.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_down.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_error.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_ok.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_sack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_unknown.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_up.png
-%%WWWDIR%%/share/userfiles/images/iconsets/demo_state_warning.png
-%%WWWDIR%%/share/userfiles/images/iconsets/error.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_big_ack.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_critical.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_critical_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_critical_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_down.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_big_downtime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_down_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_down_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_error.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_ok.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_ok_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_pending.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_big_sack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_big_sdowntime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unchecked.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_unknown.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unknown_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unknown_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unreachable.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unreachable_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_unreachable_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_up.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_up_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_big_warning.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_warning_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_big_warning_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_critical.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_critical_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_critical_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_down.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_down_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_down_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_error.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_ok.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_ok_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_pending.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unchecked.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unknown.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unknown_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unknown_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unreachable.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unreachable_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_unreachable_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_up.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_up_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_warning.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_warning_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_dot_warning_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_critical.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_critical_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_critical_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_down.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_downtime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_down_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_down_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_error.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_ok.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_ok_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_pending.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_sack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_sdowntime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unchecked.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unknown.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unknown_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unknown_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unreachable.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unreachable_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_unreachable_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_up.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_up_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_medium_warning.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_small_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_warning_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_medium_warning_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_critical.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_critical_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_critical_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_down.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_small_downtime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_down_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_down_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_error.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_ok.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_ok_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_pending.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_small_sack.png
-%%WWWDIR%%/share/userfiles/images/iconsets/std_small_sdowntime.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unchecked.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_unknown.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unknown_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unknown_dt.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unreachable.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unreachable_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_unreachable_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_up.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_up_dt.png
 %%WWWDIR%%/share/userfiles/images/iconsets/std_small_warning.png
-%%WWWDIR%%/share/userfiles/images/maps/demo_background.png
-%%WWWDIR%%/share/userfiles/images/maps/nagvis-demo.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-load.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-server.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-text_demo.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-text_hoststate.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-text_mapstate.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo-text_servicestate.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo_german_landscape.png
-%%WWWDIR%%/share/userfiles/images/shapes/demo_server_bg.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_warning_ack.png
+%%WWWDIR%%/share/userfiles/images/iconsets/std_small_warning_dt.png
+%%WWWDIR%%/share/userfiles/images/maps/demo-germany.png
+%%WWWDIR%%/share/userfiles/images/maps/demo-ham-racks.png
+%%WWWDIR%%/share/userfiles/images/maps/demo-host.png
+%%WWWDIR%%/share/userfiles/images/maps/demo-load.png
+%%WWWDIR%%/share/userfiles/images/maps/demo-overview.png
+%%WWWDIR%%/share/userfiles/images/shapes/demo-wan-cloud.png
 %%WWWDIR%%/share/userfiles/images/shapes/demo_traffic_load_legend.png
+%%WWWDIR%%/share/userfiles/images/shapes/std_dummy.png
+%%WWWDIR%%/share/userfiles/images/templates/default.control_delete.gif
+%%WWWDIR%%/share/userfiles/images/templates/default.control_drag.gif
+%%WWWDIR%%/share/userfiles/images/templates/default.control_modify.gif
+%%WWWDIR%%/share/userfiles/images/templates/default.control_togglemid.gif
+%%WWWDIR%%/share/userfiles/images/templates/default.folder_closed.gif
+%%WWWDIR%%/share/userfiles/images/templates/default.folder_open.gif
 %%WWWDIR%%/share/userfiles/images/templates/default.header.png
 %%WWWDIR%%/share/userfiles/images/templates/default.header_down.png
+%%WWWDIR%%/share/userfiles/images/templates/default.header_hide.png
 %%WWWDIR%%/share/userfiles/images/templates/default.header_over.png
+%%WWWDIR%%/share/userfiles/images/templates/default.header_show.png
+%%WWWDIR%%/share/userfiles/scripts/.gitignore
+%%WWWDIR%%/share/userfiles/scripts/std_lq.php
 %%WWWDIR%%/share/userfiles/sounds/std_critical.mp3
 %%WWWDIR%%/share/userfiles/sounds/std_down.mp3
 %%WWWDIR%%/share/userfiles/sounds/std_error.mp3
 %%WWWDIR%%/share/userfiles/sounds/std_unreachable.mp3
 %%WWWDIR%%/share/userfiles/sounds/std_warning.mp3
 %%WWWDIR%%/share/userfiles/styles/.gitignore
-%%WWWDIR%%/share/userfiles/templates/default.automap.html
-%%WWWDIR%%/share/userfiles/templates/default.automapModifyParams.html
-%%WWWDIR%%/share/userfiles/templates/default.automapToMap.html
 %%WWWDIR%%/share/userfiles/templates/default.changePassword.html
 %%WWWDIR%%/share/userfiles/templates/default.context.css
 %%WWWDIR%%/share/userfiles/templates/default.context.html
@@ -603,18 +645,16 @@
 %%WWWDIR%%/share/userfiles/templates/default.multisiteMaps.html
 %%WWWDIR%%/share/userfiles/templates/default.overview.html
 %%WWWDIR%%/share/userfiles/templates/default.search.html
+%%WWWDIR%%/share/userfiles/templates/default.toStaticMap.html
 %%WWWDIR%%/share/userfiles/templates/default.url.html
 %%WWWDIR%%/share/userfiles/templates/default.userMgmt.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiEditMainCfg.html
-%%WWWDIR%%/share/userfiles/templates/default.wuiIndex.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiManageBackends.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiManageBackgrounds.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiManageMaps.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiManageShapes.html
-%%WWWDIR%%/share/userfiles/templates/default.wuiMap.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiMapAddModify.html
 %%WWWDIR%%/share/userfiles/templates/default.wuiMapManageTmpl.html
-%%WWWDIR%%/share/userfiles/templates/default.wuiWelcome.html
 %%WWWDIR%%/uifx/README
 %%WWWDIR%%/uifx/deploy.wscp
 %%WWWDIR%%/uifx/html-template/AC_OETags.js
@@ -732,6 +772,7 @@
 @dirrmtry %%WWWDIR%%/share/userfiles/templates
 @dirrmtry %%WWWDIR%%/share/userfiles/styles
 @dirrmtry %%WWWDIR%%/share/userfiles/sounds
+@dirrmtry %%WWWDIR%%/share/userfiles/scripts
 @dirrmtry %%WWWDIR%%/share/userfiles/images/templates
 @dirrmtry %%WWWDIR%%/share/userfiles/images/shapes
 @dirrmtry %%WWWDIR%%/share/userfiles/images/maps
@@ -740,6 +781,8 @@
 @dirrmtry %%WWWDIR%%/share/userfiles/images
 @dirrmtry %%WWWDIR%%/share/userfiles/gadgets
 @dirrmtry %%WWWDIR%%/share/userfiles
+@dirrm %%WWWDIR%%/share/server/core/sources
+@dirrm %%WWWDIR%%/share/server/core/mapcfg
 @dirrm %%WWWDIR%%/share/server/core/functions
 @dirrm %%WWWDIR%%/share/server/core/ext/php-gettext-1.0.9
 @dirrm %%WWWDIR%%/share/server/core/ext
@@ -768,12 +811,6 @@
 @dirrm %%WWWDIR%%/share/netmap/library/Zend
 @dirrm %%WWWDIR%%/share/netmap/library
 @dirrm %%WWWDIR%%/share/netmap
-@dirrm %%WWWDIR%%/share/frontend/wui/js
-@dirrm %%WWWDIR%%/share/frontend/wui/images
-@dirrm %%WWWDIR%%/share/frontend/wui/defines
-@dirrm %%WWWDIR%%/share/frontend/wui/css
-@dirrm %%WWWDIR%%/share/frontend/wui/classes
-@dirrm %%WWWDIR%%/share/frontend/wui
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/locale/ru_RU/LC_MESSAGES
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/locale/ru_RU
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/locale/pt_BR/LC_MESSAGES
@@ -788,6 +825,7 @@
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/locale/de_DE
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/locale
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/js
+@dirrm %%WWWDIR%%/share/frontend/nagvis-js/images/jscolor
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/images/internal
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/images
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0/plugins/builtin/processors
@@ -816,13 +854,13 @@
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/ext/dwoo-1.1.0
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/ext
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/defines
-@dirrm %%WWWDIR%%/share/frontend/nagvis-js/css
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js/classes
 @dirrm %%WWWDIR%%/share/frontend/nagvis-js
 @dirrm %%WWWDIR%%/share/frontend
 @dirrmtry %%WWWDIR%%/share
 @dirrmtry %%WWWDIR%%/etc/maps
 @dirrmtry %%WWWDIR%%/etc/geomap
+@dirrmtry %%WWWDIR%%/etc/conf.d
 @dirrmtry %%WWWDIR%%/etc/automaps
 @dirrmtry %%WWWDIR%%/etc
 @dirrm %%WWWDIR%%/docs/general/img
@@ -834,6 +872,3 @@
 @dirrm %%WWWDIR%%/docs/de_DE
 @dirrm %%WWWDIR%%/docs
 @dirrmtry %%WWWDIR%%
-@exec mkdir -p %D/%%WWWDIR%%/var/tmpl/compile
-@exec mkdir -p %D/%%WWWDIR%%/var/tmpl/cache
-@exec mkdir -p %D/%%WWWDIR%%/share/var


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-02 12:40:18 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2012-10-08 09:54:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-10-08 15:26:45 UTC
Hi!

I made a few more fixes to your port:

- Converted to new options framework
- Removed "DEFAULT_PHP_VER=5". It's the default value, already set in
  bsd.php.mk
- check-sanity: target removed because this is now managed by the
  optionsng framework
- Also trimmed Makefile headers

Could you approve these changes? (revised patch attached)

Thanks for you patch!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Guido Falsi freebsd_committer 2012-10-10 22:36:05 UTC
State Changed
From-To: open->closed

Commited. Changes were approved via private email. Thanks!